<f:for each="{data.flexform_margin -> v:iterator.explode(glue: ',')}" as="margin">
    {v:variable.set(name: 'data.flexform_margin{margin}', value: 1)}
</f:for>

<f:for each="{data.flexform_padding -> v:iterator.explode(glue: ',')}" as="padding">
    {v:variable.set(name: 'data.flexform_padding{padding}', value: 1)}
</f:for>

<f:switch expression="{data.flexform_colsTablet}">
    <f:case value="1">
        {v:variable.set(name: 'data.flexform_colsTablet_className', value: 'col-md-12 ')}
    </f:case>
    <f:case value="2">
        {v:variable.set(name: 'data.flexform_colsTablet_className', value: 'col-md-6 ')}
    </f:case>
    <f:case value="4">
        {v:variable.set(name: 'data.flexform_colsTablet_className', value: 'col-md-3 ')}
    </f:case>
    <f:defaultCase>
        {v:variable.set(name: 'data.flexform_colsTablet_className', value: 'col-md-3 ')}
    </f:defaultCase>
</f:switch>

<f:switch expression="{data.flexform_colsSmartphone}">
    <f:case value="1">
        {v:variable.set(name: 'data.flexform_colsSmartphone_className', value: 'col-12 ')}
    </f:case>
    <f:case value="2">
        {v:variable.set(name: 'data.flexform_colsSmartphone_className', value: 'col-6 ')}
    </f:case>
    <f:defaultCase>
        {v:variable.set(name: 'data.flexform_colsSmartphone_className', value: 'col-12 ')}
    </f:defaultCase>
</f:switch>

<section id="c{data.uid}" class="gridContainer 4cols{f:if(condition: data.flexform_bgColor, then: ' {data.flexform_bgColor}')}{f:if(condition: '{data.flexform_className}', then: ' {data.flexform_className}')}{f:if(condition: '{data.flexform_paddingTop} == 1', then: ' paddingTop')}{f:if(condition: '{data.flexform_paddingBottom} == 1', then: ' paddingBottom')}{f:if(condition: data.flexform_margin1, then: ' marginTop')}{f:if(condition: data.flexform_margin2, then: ' marginLeft')}{f:if(condition: data.flexform_margin3, then: ' marginRight')}{f:if(condition: data.flexform_margin4, then: ' marginBottom')}{f:if(condition: data.flexform_padding1, then: ' paddingTop')}{f:if(condition: data.flexform_padding2, then: ' paddingLeft')}{f:if(condition: data.flexform_padding3, then: ' paddingRight')}{f:if(condition: data.flexform_padding4, then: ' paddingBottom')} frame frame-{data.frame_class} frame-type-{data.CType} frame-layout-{data.layout}">
    <div class="container">
        <f:if condition="{data.header}">
            <div class="row">
                <div class="col">
                    <header class="hyphenate">
                        <f:switch expression="{data.header_layout}">
                            <f:case value="1">
                                <h1><f:format.raw>{data.header}</f:format.raw></h1>
                            </f:case>
                            <f:case value="2">
                                <h2><f:format.raw>{data.header}</f:format.raw></h2>
                            </f:case>
                            <f:case value="3">
                                <h3><f:format.raw>{data.header}</f:format.raw></h3>
                            </f:case>
                            <f:case value="4">
                                <h4><f:format.raw>{data.header}</f:format.raw></h4>
                            </f:case>
                            <f:case value="5">
                                <h5><f:format.raw>{data.header}</f:format.raw></h5>
                            </f:case>
                            <f:case value="6">
                                <h6><f:format.raw>{data.header}</f:format.raw></h6>
                            </f:case>
                            <f:defaultCase>
                                <h2><f:format.raw>{data.header}</f:format.raw></h2>
                            </f:defaultCase>
                        </f:switch>
                    </header>
                </div>
            </div>
        </f:if>

        <div class="row">
            <div class="{data.flexform_colsSmartphone_className}{data.flexform_colsTablet_className}col-lg-3">
                {data.tx_gridelements_view_column_10->f:format.raw()}
            </div>
            <div class="{data.flexform_colsSmartphone_className}{data.flexform_colsTablet_className}col-lg-3">
                {data.tx_gridelements_view_column_11->f:format.raw()}
            </div>
            <div class="{data.flexform_colsSmartphone_className}{data.flexform_colsTablet_className}col-lg-3">
                {data.tx_gridelements_view_column_12->f:format.raw()}
            </div>
            <div class="{data.flexform_colsSmartphone_className}{data.flexform_colsTablet_className}col-lg-3">
                {data.tx_gridelements_view_column_13->f:format.raw()}
            </div>
        </div>
    </div>
</section>